package com.school.project.controller;

import com.school.project.model.Course;
import com.school.project.service.interfaces.CourseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Optional;


@Controller
@RequestMapping()
public class CourseController {
    @Autowired(required = true)
    public CourseService courseService;

    @PostMapping("/course")
    public Course saveCourse(@RequestBody Course course){
        return courseService.saveCourse(course);
    }

    @GetMapping("/courses")
    public List<Course> readAllCourses(){
       return courseService.readAllCourse();
    }

    @GetMapping("/course/{id}")
    public Optional<Course> readCourseById(@PathVariable(name = "id") Long id)
    {
        return courseService.readCourseById(id);
    }

    @PutMapping("/course/{id}")
    public Course updateCourseById(@RequestBody Course course,@PathVariable(name = "id") Long id){
        return courseService.updateCourseById(course,id);
    }

    @DeleteMapping("/course/{id}")
    public void deleteCourseById(@PathVariable(name = "id") Long id){
        courseService.deleteCourseById(id);
    }
}
