package com.school.project.model;

import lombok.Data;
import javax.persistence.*;
import java.util.List;

@Data
@Entity()
@Table(name = "Student")
public class Student {

    @Id
    @Column(name = "id", nullable = false)
    @GeneratedValue(strategy = GenerationType.SEQUENCE)
    private Long id;

    @Column(name="name")
    private String name;

    @Column(name = "age")
    private Long age;
    @ManyToMany(fetch = FetchType.LAZY,cascade = { CascadeType.MERGE })
    @JoinTable(
            name = "studentsCourses",
            joinColumns = { @JoinColumn(name = "student_id") },
            inverseJoinColumns = { @JoinColumn(name = "course_id") }
    )
    private List<Course> courseLists;

}
