package com.school.project.service.implementation;

import com.school.project.model.Course;
import com.school.project.repository.CourseRepository;
import com.school.project.service.interfaces.CourseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.transaction.Transactional;
import java.util.List;
import java.util.Optional;

@Service
public class CourseServiceImp implements CourseService {

    @Autowired(required = true)
    public CourseRepository courseRepository;

    @Override
    public Course saveCourse(Course course) {
        return courseRepository.save(course);
    }

    @Transactional
    @Override
    public List<Course> readAllCourse() {
        return courseRepository.findAll();
    }

    @Override
    public Optional<Course> readCourseById(Long id) {
        return courseRepository.findById(id);
    }

    @Override
    public Course updateCourseById(Course course, Long id) {
            return course;
    }

    @Override
    public void deleteCourseById(Long id) {
        courseRepository.deleteById(id);
    }
}
