package com.school.project.service.implementation;

import com.school.project.model.Student;
import com.school.project.repository.StudentRepository;
import com.school.project.service.interfaces.StudentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;

@Service
public class StudentServiceImp implements StudentService {
    @Autowired(required=true)
    public StudentRepository studentRepository;

    @Override
    public Student saveStudent(Student student) {
        return studentRepository.save(student);
    }

    @Override
    public List<Student> readAllStudents() {
        return studentRepository.findAll();
    }

    @Override
    public Optional<Student> readStudentById(Long id) {
        return studentRepository.findById(id);
    }

    @Override
    public Student updateStudentById(Student student, Long id) {
        return student;
    }

    @Override
    public void deleteStudentById(Long id) {
        studentRepository.deleteById(id);
    }
}
